Bug 839725 - [abrt] evolution-3.4.3-1.fc17: g_malloc0: Process /usr/bin/evolution was killed by signal 11 (SIGSEGV)
[abrt] evolution-3.4.3-1.fc17: g_malloc0: Process /usr/bin/evolution was kill...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
abrt_hash:e9cde23771a6ccd39d23816b191...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-12 12:29 EDT by chuck elliot
Modified: 2013-07-31 23:44 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 23:44:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (47.50 KB, text/plain)
2012-07-12 12:29 EDT, chuck elliot
no flags Details
File: gconf_subtree (4.12 KB, text/plain)
2012-07-12 12:29 EDT, chuck elliot
no flags Details
File: maps (84.88 KB, text/plain)
2012-07-12 12:29 EDT, chuck elliot
no flags Details
File: dso_list (17.56 KB, text/plain)
2012-07-12 12:29 EDT, chuck elliot
no flags Details
File: build_ids (7.05 KB, text/plain)
2012-07-12 12:29 EDT, chuck elliot
no flags Details

  None (edit)
Description chuck elliot 2012-07-12 12:29:21 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        evolution
crash_function: g_malloc0
executable:     /usr/bin/evolution
kernel:         3.4.4-5.fc17.x86_64
pid:            20155
pwd:            /home/chuck
time:           Thu 12 Jul 2012 11:12:30 AM BST
uid:            500
username:       chuck
var_log_messages: Jul 12 11:12:32 robin abrt[21897]: Saved core dump of pid 20155 (/usr/bin/evolution) to /var/spool/abrt/ccpp-2012-07-12-11:12:30-20155 (81563648 bytes)

backtrace:      Text file, 48643 bytes
build_ids:      Text file, 7216 bytes
dso_list:       Text file, 17980 bytes
gconf_subtree:  Text file, 4217 bytes
maps:           Text file, 86922 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/chuck/76

core_backtrace:
:a4ec59d7fc9c453fb4287d7ebc5fcf6579792e65 0x7bcca malloc_consolidate libc.so.6 -
:a4ec59d7fc9c453fb4287d7ebc5fcf6579792e65 0x7ce1e _int_malloc libc.so.6 -
:a4ec59d7fc9c453fb4287d7ebc5fcf6579792e65 0x80e6d calloc libc.so.6 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x4d317 g_malloc0 libglib-2.0.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x1a173 - libglib-2.0.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x61d31 g_slice_free1 libglib-2.0.so.0 -
:73777e822e00ca152ffca281ab0ace0cb498ec48 0x7b12 __nptl_deallocate_tsd libpthread.so.0 -
:73777e822e00ca152ffca281ab0ace0cb498ec48 0x7d22 start_thread libpthread.so.0 -
:a4ec59d7fc9c453fb4287d7ebc5fcf6579792e65 0xf199d clone libc.so.6 -

environ:
:XDG_VTNR=2
:XDG_SESSION_ID=76
:SSH_AGENT_PID=19800
:HOSTNAME=robin.chuck.net
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:GPG_AGENT_INFO=/run/user/chuck/keyring-4rsnWH/gpg:0:1
:GLADE_PIXMAP_PATH=:
:XDG_MENU_PREFIX=xfce-
:TERM=dumb
:SHELL=/bin/bash
:HISTSIZE=1000
:GNOME_KEYRING_CONTROL=/run/user/chuck/keyring-4rsnWH
:QT_GRAPHICSSYSTEM_CHECKED=1
:IMSETTINGS_MODULE=none
:USER=chuck
:GLADE_MODULE_PATH=:
:SSH_AUTH_SOCK=/run/user/chuck/keyring-4rsnWH/ssh
:
:XDG_CONFIG_DIRS=/etc/xdg
:MAIL=/var/spool/mail/chuck
:DESKTOP_SESSION=xfce
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/chuck/AndroidSDK:/home/chuck/AndroidSDK/tools:/home/chuck/AndroidSDK/platform-tools:/home/chuck/.local/bin:/home/chuck/bin
:QT_IM_MODULE=xim
:PWD=/home/chuck
:XMODIFIERS=@im=none
:LANG=en_US.UTF-8
:GNOME_KEYRING_PID=19660
:GDMSESSION=xfce
:SSH_ASKPASS=/usr/libexec/openssh/gnome-ssh-askpass
:HISTCONTROL=ignoredups
:SHLVL=2
:HOME=/home/chuck
:XDG_SEAT=seat0
:LOGNAME=chuck
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-VIJNWKM9Gh,guid=ab9da5f8bd5cec26679b198d0003108c
:XDG_DATA_DIRS=/usr/local/share:/usr/share
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=2
:DISPLAY=:0.0
:XDG_RUNTIME_DIR=/run/user/chuck
:GLADE_CATALOG_PATH=:
:LIBGLADE_MODULE_PATH=:
:XAUTHORITY=/var/run/gdm/auth-for-chuck-8oZxWn/database
:_=/usr/bin/xfce4-session
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/19831,unix/unix:/tmp/.ICE-unix/19831

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 31399                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       31399                31399                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100000
:1:/home/chuck/.xsession-errors
:pos:	6477
:flags:	0102002
:2:/home/chuck/.xsession-errors
:pos:	6477
:flags:	0102002
:3:socket:[1190581]
:pos:	0
:flags:	02004002
:4:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:5:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:6:socket:[1190585]
:pos:	0
:flags:	02004002
:7:socket:[1190593]
:pos:	0
:flags:	02004002
:8:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:9:pipe:[1187742]
:pos:	0
:flags:	01
:10:socket:[1190594]
:pos:	0
:flags:	02004002
:11:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:12:/home/chuck/.pki/nssdb/cert9.db
:pos:	40
:flags:	02100002
:13:socket:[1189855]
:pos:	0
:flags:	02004002
:14:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:15:/var/tmp/etilqs_RrchgcKYsfYrXU2 (deleted)
:pos:	28
:flags:	02100002
:16:/var/tmp/etilqs_HZxFsW1rgxW9PQH (deleted)
:pos:	2056
:flags:	02500002
:17:/var/tmp/etilqs_10OxhjN6aIbuc1i (deleted)
:pos:	2048
:flags:	02500002
:18:/home/chuck/.pki/nssdb/key4.db
:pos:	40
:flags:	02100002
:19:/var/tmp/etilqs_YFcgBNf5OnYJYBQ (deleted)
:pos:	28
:flags:	02100002
:20:/var/tmp/etilqs_LkfD5wQbE77w8wB (deleted)
:pos:	2056
:flags:	02500002
:21:/var/tmp/etilqs_zvBps8kZhYqdgri (deleted)
:pos:	2048
:flags:	02500002
:22:pipe:[1190569]
:pos:	0
:flags:	01
:23:/etc/pki/nssdb/cert9.db
:pos:	40
:flags:	02100000
:24:/var/tmp/etilqs_L0skFAhZfBAXVv9 (deleted)
:pos:	28
:flags:	02100002
:25:/var/tmp/etilqs_BY6bVsFvvfVcuXf (deleted)
:pos:	2048
:flags:	02500002
:26:/etc/pki/nssdb/key4.db
:pos:	40
:flags:	02100000
:27:/var/tmp/etilqs_IXcRZ9tcqbaJoBR (deleted)
:pos:	28
:flags:	02100002
:28:/var/tmp/etilqs_afeOMV9JNkWKd6J (deleted)
:pos:	2048
:flags:	02500002
:29:/home/chuck/.local/share/evolution/mail/local/folders.db
:pos:	40
:flags:	02100002
:30:/home/chuck/.local/share/evolution/mail/vfolder/folders.db
:pos:	40
:flags:	02100002
:31:socket:[1190964]
:pos:	0
:flags:	02004002
:32:/home/chuck/.local/share/evolution/mail/1339058316.24583.21@robin/folders.db
:pos:	40
:flags:	02100002
:33:anon_inode:[eventfd]
:pos:	0
:flags:	02004002

smolt_data:
:
:
:General
:=================================
:UUID: 601e0798-ad1f-4270-b5b4-9a73b0f0c475
:OS: Fedora release 17 (Beefy Miracle)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: x86_64
:BogoMIPS: 3591.03
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM)2 Duo CPU     T7100  @ 1.80GHz
:CPU Stepping: 13
:CPU Family: 6
:CPU Model Num: 15
:Number of CPUs: 2
:CPU Speed: 1801
:System Memory: 3946
:System Swap: 5999
:Vendor: SAMSUNG ELECTRONICS CO., LTD.
:System: SQ45S70S 07ST
:Form factor: Notebook
:Kernel: 3.4.4-5.fc17.x86_64
:SELinux Enabled: 0
:SELinux Policy: targeted
:SELinux Enforce: Unknown
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(4480:2130:5197:50448) pci, None, BASE, xD-Picture Card Controller
:(32902:10752:5197:50448) pci, agpgart-intel, HOST/PCI, Mobile PM965/GM965/GL960 Memory Controller Hub
:(32902:10302:5197:50448) pci, None, SERIAL, 82801H (ICH8 Family) SMBus Controller
:(32902:10280:5197:50448) pci, ata_piix, STORAGE, 82801HBM/HEM (ICH8M/ICH8M-E) SATA IDE Controller
:(32902:10261:5197:50448) pci, None, PCI/ISA, 82801HEM (ICH8M) LPC Interface Controller
:(32902:16937:32902:4353) pci, iwl4965, NETWORK, PRO/Wireless 4965 AG or AGN
:(32902:10289:5197:50448) pci, uhci_hcd, USB, 82801H (ICH8 Family) USB UHCI Controller #2
:(32902:9288:0:0) pci, None, PCI/PCI, 82801 Mobile PCI Bridge
:(32902:10290:5197:50448) pci, uhci_hcd, USB, 82801H (ICH8 Family) USB UHCI Controller #3
:(32902:10294:5197:50448) pci, ehci_hcd, USB, 82801H (ICH8 Family) USB2 EHCI Controller #1
:(32902:10298:5197:50448) pci, ehci_hcd, USB, 82801H (ICH8 Family) USB2 EHCI Controller #2
:(4523:17235:5197:50448) pci, sky2, ETHERNET, 88E8039 PCI-E Fast Ethernet Controller
:(32902:10754:5197:50448) pci, i915, VIDEO, Mobile GM965/GL960 Integrated Graphics Controller (primary)
:(32902:10755:5197:50448) pci, None, VIDEO, Mobile GM965/GL960 Integrated Graphics Controller (secondary)
:(32902:10303:5197:50448) pci, pcieport, PCI/PCI, 82801H (ICH8 Family) PCI Express Port 1
:(32902:10305:5197:50448) pci, pcieport, PCI/PCI, 82801H (ICH8 Family) PCI Express Port 2
:(32902:10315:5197:50448) pci, snd_hda_intel, MULTIMEDIA, 82801H (ICH8 Family) HD Audio Controller
:(4480:1426:5197:50448) pci, r592, BASE, R5C592 Memory Stick Bus Host Adapter
:(4480:2082:5197:50448) pci, sdhci-pci, BASE, R5C822 SD/SDIO/MMC/MS/MSPro Host Adapter
:(4480:1362:5197:50448) pci, firewire_ohci, FIREWIRE, R5C552 IEEE 1394 Controller
:(4480:1142:5197:50448) pci, yenta_cardbus, PCI/CARDBUS, RL5c476 II
:(32902:10288:5197:50448) pci, uhci_hcd, USB, 82801H (ICH8 Family) USB UHCI Controller #1
:(32902:10292:5197:50448) pci, uhci_hcd, USB, 82801H (ICH8 Family) USB UHCI Controller #4
:(32902:10293:5197:50448) pci, uhci_hcd, USB, 82801H (ICH8 Family) USB UHCI Controller #5
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sda2 / ext4 4096 4096 47253307 30402847 29929888 11829248 11536289 11536289
:

xsession_errors:
:evolution-shell-Message: Network disconnected.  Forced offline.
:(evolution:20155): GLib-WARNING **: GError set over the top of a previous GError or uninitialized memory.
:(evolution:20155): GLib-WARNING **: GError set over the top of a previous GError or uninitialized memory.
:evolution-shell-Message: Connection established.  Going online.
:** (evolution:12258): CRITICAL **: send_dbus_message: assertion `display_name != NULL' failed
:(evolution:12258): libnotify-WARNING **: Failed to connect to proxy
:** (evolution:12258): WARNING **: GDBus.Error:org.freedesktop.DBus.Error.ServiceUnknown: The name org.freedesktop.Notifications was not provided by any .service files
:** (evolution:12258): WARNING **: GDBus.Error:org.freedesktop.DBus.Error.ServiceUnknown: The name org.freedesktop.Notifications was not provided by any .service files
Comment 1 chuck elliot 2012-07-12 12:29:25 EDT
Created attachment 597839 [details]
File: backtrace
Comment 2 chuck elliot 2012-07-12 12:29:27 EDT
Created attachment 597840 [details]
File: gconf_subtree
Comment 3 chuck elliot 2012-07-12 12:29:29 EDT
Created attachment 597841 [details]
File: maps
Comment 4 chuck elliot 2012-07-12 12:29:31 EDT
Created attachment 597842 [details]
File: dso_list
Comment 5 chuck elliot 2012-07-12 12:29:33 EDT
Created attachment 597843 [details]
File: build_ids
Comment 6 Milan Crha 2012-07-13 09:33:24 EDT
Thanks for a bug report. This seems like a memory corruption issue, the process had been killed at one thread, inside GSlice function, but I'm unable to recognize why that happened. It seems like it crashed on a thread end. Do you know what happened or what you were doing before the crash, please? Are you able to reproduce this after certain steps? (I agree that it's usually quite hard to reproduce this kind of bugs, because it requires exactly the same steps and data).
Comment 7 chuck elliot 2012-07-13 13:10:07 EDT
It may have occurred while the system was suspended or on suspending or unsuspending it. There was no user interaction with the application at the time anyway.
Comment 8 Milan Crha 2012-07-16 12:42:30 EDT
Hmm, evolution doesn't behave well with suspend, it's better to close it before you move your machine to suspend state. There might be somewhere a g_free() on a GSlice allocated memory probably, as I learned recently at [1]. The [1] is not part of 3.4.x, it is in the current development version only. Pity the xsession_error doesn't contain the last error message. A close upstream bug report seems to be [2], which is originally reported as bug #818709 and I tend to close this as a duplicate of this bug report, but before that, do you have configured any POP3 account, please?

[1] https://bugzilla.gnome.org/show_bug.cgi?id=679408#c2
[2] https://bugzilla.gnome.org/show_bug.cgi?id=675429
Comment 9 chuck elliot 2012-07-16 17:16:15 EDT
Evolution has been fine under suspend (many times) until this event - maybe I was just lucky or maybe there was another factor of which I was unaware. A pop3s account is configured on the system in question.
Comment 10 chuck elliot 2012-07-16 17:16:44 EDT
Evolution has been fine under suspend (many times) until this event - maybe I was just lucky or maybe there was another factor of which I was unaware. A pop3s account is configured on the system in question.
Comment 11 Fedora End Of Life 2013-07-03 20:14:47 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 12 Fedora End Of Life 2013-07-31 23:44:52 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.